<div class="bs-callout bs-callout-info">
<strong>&{'kualifikasi.ketentuan'}</strong><br/>
    &{'kualifikasi.ketentuan_1'}<br/>
    &{'kualifikasi.ketentuan_2'}<br/>
    &{'kualifikasi.ketentuan_3'}<br/>
    &{'kualifikasi.ketentuan_4'}
</div>
#{if list != null}
    <table class="table table-sm table-bordered">
        <tr>
            <th class="bg-warning" width="35%" style="vertical-align: middle;">&{'kualifikasi.persyaratan_teleh_diupload'}</th>
            <td>
                #{list items:list, as:'dok'}
                    #{if allow_download}
                        <a href="${dok.getDownloadUrl(ba)}" class="list-group-item"><i class="fa fa-download"></i> ${dok?.fileName}<abbr title="Tanggal Kirim" class="initialism"> (${dok?.blb_date_time?.formatDateTime()})</abbr></a>
                    #{/if}
                    #{else}
                        <div class="list-group-item"><i class="fa fa-download"></i> ${dok?.fileName}<abbr title="Tanggal Kirim" class="initialism"> (${dok?.blb_date_time?.formatDateTime()})</abbr></div>
                    #{/else}
                #{/list}    
            </td>
        </tr>
    </table>
#{/if}
<div class="btn btn-success fileinput-button">
    <i class="fa fa-plus-circle"></i>
    <span>Upload</span>
    <input id="upload-susulan" type="file" name="file">
</div>
<div id="progress" class="progress" style="display: none;">
	<div class="progress-bar progress-bar-success"></div>				      
</div>

<div id="alert-upload" style="margin-top: 10px;"></div>
<link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-process.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-validate.min.js"></script>
<script type="text/javascript">  
$(document).on('click', '#upload-susulan', function(){
	 	$('#upload-susulan').fileupload({
        url: '@{lelang.KualifikasiCtr.submitSusulan(peserta?.psr_id)}',
        dataType: 'json',
        acceptFileTypes: /(\.|\/)(doc|docx|xls|xlsx|pdf|jpe?g|png|zip|rar)$/i,
        done: function (e, data) {
            $.each(data.result.files, function (index, file) {
				var content = '<a href="'+file.download_url+'"><i class="fa fa-download"></i> '+file.name+'</a> - '+file.size+' ('+file.upload_date+')';
                $('<li/>').addClass('list-group-item').html(content).appendTo('#files');
            });
            $('#progress').hide();
            location.reload(true);
        },
        progressall: function (e, data) {
            var progress = parseInt(data.loaded / data.total * 100, 10);
            $('#progress').show();
            $('#progress .progress-bar').css(
                'width',
                progress + '%'
            );
        }       
    }).on('fileuploadprocessalways', function (e, data) {
    	var file = data.files[data.index];
    	if (data.files.error && file.error) {
    	  var msg = file.name+' - '+file.error
	      $('#alert-upload').attr('class', 'alert alert-danger').html(msg)   
	    }       
    }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
 })
</script>

